#include <bits/stdc++.h>
using namespace std;




int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	int n,k;
	std::cin>>n>>k;
	int * a=new int[2*n+1];
	for(int i=0;i<2*n+1;i++)
	{
		a[i]=0;
	}
	int m;
	int brojac=0;
	for(int i=0;i<n;i++)
	{
		std::cin>>m;
		a[m+n]++;
		if(a[m+n]==k)
		brojac++;		
	}
	std::cout<<brojac<<endl;
	for(int i=0;i<n*2+1;i++)
	{
		if(a[i]>=k)
			std::cout<<i-n<<" ";
	}
	std::cout<<endl;
		

}